Skip to main content

Start TeleID

The POST /v3/teleid endpoint is used to start a TeleID.

POST /v3/teleid
Authorization: Basic ${ base64(apiKey + ':' + secretKey) }
ParameterRequiredDescription
providerYesThe eID provider to use. Can be one of: 'BANKID_SE', 'FREJA', 'BANKID_NO', 'VIPPS', 'MITID' or 'FTN'
methodYesThe method to use for authentication. Can be one of: 'SSN', 'SMS', 'EMAIL', 'CHAT'
ssnNoThe SSN of the end user for autostart. Required if method is SSN
countryNoThe country associated with the SSN or phone number. Required if method is SSN or SMS. Can be one of: 'SWEDEN', 'NORWAY', 'DENMARK' or 'FINLAND'
callInitiatorNoThe initiator of the authentication request. Used if method is SSN and provider is BANKID_SE. Can be one of: 'USER' or 'RP'. Defaults to 'USER'
orgNumberNoAn organisation number to check the end user's company signatory rights for. Used if method is SSN
emailNoAn email address for login link via email. Required if method is EMAIL
phoneNoA phone number for autostart or login link via SMS. Required if method is SMS
languageNoThe default language to use during authentication
agentNoThe agent to indentify as. May be omitted, in which case the agent name is 'API'
agent.ssnNoThe SSN of the agent, if the agent is a eID user.
agent.countryNoThe country associated with the given SSN. Required if agent.ssn is set.
agent.usernameNoThe username of the agent, if the agent is a username/password user.
agent.nameIdNoThe nameId of the agent, if the agent is a SSO user.

Response example:​

Pending:​

HTTP/2.0 201 Created
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "PENDING",
"url": "https://example.com/authenticate",
"bindingMessage": "Reference text"
}

Completed:​

HTTP/2.0 201 Created
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "COMPLETED",
"completedAt": "2022-01-26 13:05:40",
"user": {
"ssn": "YYYYMMDDXXXX",
"country": "SWEDEN",
"name": "Firstname Lastname"
},
"identification": {
"provider": "BANKID_SE",
"certStartDate": "2022-01-04",
"orderRef": "f4c1d82e-e396-4c8b-bc52-5151bc019da5"
}
}

Failed:​

HTTP/2.0 201 Created
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "FAILED",
"error": "CANCELLED"
}
ParameterDescription
errorAn error code describing the reason for why the authentication failed. Always set when status is FAILED.

The error may be one of the following values:

CodeDescription
AUTH_FAILEDA generic code for any kind of failure.
CANCELLEDThe authentication was cancelled either by the user or the partner.
CONFLICTAnother authentication for the same user is already in progress.
INVALID_IDThe ID has expired or is otherwise invalid.
INTERNAL_ERRORAn internal error occurred causing the authentication to fail.
SESSION_TIMEOUTThe authentication expired or timed out.
UNSUPPORTED_CLIENTThe client used for the authentication is not supported.

New error codes may be added in the future without prior notice. The partner should therefore handle unknown error codes in their implementations.